%define         source_date 20170118

Name:           mageia-plasma5-config
Version:        6
Release:        %mkrel 33
Summary:        %_vendor Plasma 5 configuration
License:        GPLv2
Group:          Graphical desktop/KDE
URL:            http://www.mageia.org/
Source0:        %{name}-%{version}.%{source_date}.tar.xz

BuildRequires:  kf5-macros
BuildRequires:  plasma-workspace

Conflicts:      plasma-workspace < 5.7.3

BuildArch:      noarch

%description
This package regroups all specific %_vendor config file for Plasma.

%files
%_iconsdir/mgabutton.svg
%_iconsdir/breeze*/places/*/*
%_sysconfdir/Trolltech.conf
%_sysconfdir/xdg/ksplashrc
%_sysconfdir/xdg/plasma-workspace/env/plasma5-firstsetup.sh
%_sysconfdir/xdg/plasma-workspace/env/env.sh
%_sysconfdir/xdg/plasma-workspace/shutdown/kuiserver5.sh
%{_sysconfdir}/xdg/kdeglobals
%{_sysconfdir}/xdg/kcm-about-distrorc
%{_sysconfdir}/xdg/kdebugrc
%_datadir/plasma/look-and-feel/org.mageia.breeze.desktop
%_var/lib/plasma5-profiles/common

#--------------------------------------------------------------------

%prep
%setup -q

%build
#Nothing to do here

%install
cp -frv etc %buildroot
chmod -Rv 755 %buildroot%_sysconfdir/xdg/plasma-workspace/env/
for i in 16 22 32 64  ; do
        mkdir -p %buildroot%_iconsdir/breeze/places/$i
        cp  usr/share/icons/mgabutton.svg %buildroot%_iconsdir/breeze/places/$i

        mkdir -p %buildroot%_iconsdir/breeze-dark/places/$i
        cp  usr/share/icons/mgabutton.svg %buildroot%_iconsdir/breeze-dark/places/$i
done

cp usr/share/icons/mgabutton.svg %buildroot%_iconsdir

mkdir -p %buildroot%_datadir/plasma/look-and-feel/
pushd %buildroot%_datadir/plasma/look-and-feel/
        mkdir -p %buildroot%_datadir/plasma/look-and-feel/org.mageia.breeze.desktop/contents/previews/
        mkdir -p %buildroot%_datadir/plasma/look-and-feel/org.mageia.breeze.desktop/contents/splash/images/
# Symlink to default.png to get correct aspect ratio image
        ln -sf %{_datadir}/mga/backgrounds/default.png %{buildroot}%{_datadir}/plasma/look-and-feel/org.mageia.breeze.desktop/contents/splash/images/background.png
# Replace with Mageia KSplash
        cp -frv %_builddir/%name-%version/usr/share/plasma/look-and-feel/org.mageia.breeze.desktop/contents/splash %buildroot%_datadir/plasma/look-and-feel/org.mageia.breeze.desktop/contents
        cp -frv %_builddir/%name-%version/usr/share/plasma/look-and-feel/org.mageia.breeze.desktop/contents/previews/splash.png %buildroot%_datadir/plasma/look-and-feel/org.mageia.breeze.desktop/contents/previews/splash.png
       cp -frv %_builddir/%name-%version/usr/share/plasma/look-and-feel/org.mageia.breeze.desktop/metadata.desktop %buildroot%_datadir/plasma/look-and-feel/org.mageia.breeze.desktop/
popd

mkdir -p %buildroot%_var/lib/
cp -frv var/lib/plasma5-profiles %buildroot%_var/lib/

# fix icon permission
find %buildroot -not -type d -a \( -type f -name '*.png' -o -name '*.qml' \) -perm /u=x,g=x,o=x -exec chmod -x '{}' \;


%changelog
* Fri May 26 2017 neoclust <neoclust> 6-33.mga6
+ Revision: 1105073
- Rebuild for new plasma 5.8.7

* Fri Mar 10 2017 neoclust <neoclust> 6-32.mga6
+ Revision: 1091156
- Rebuild against plasma 5.8.6

* Thu Jan 19 2017 neoclust <neoclust> 6-31.mga6
+ Revision: 1082441
- Fix typo in font
- Change default font to Oxygen-Sans

* Sun Jan 15 2017 neoclust <neoclust> 6-29.mga6
+ Revision: 1081942
- Fix default icon theme

* Tue Dec 27 2016 neoclust <neoclust> 6-28.mga6
+ Revision: 1078119
- Fix Home2.desktop removal

* Mon Dec 26 2016 neoclust <neoclust> 6-27.mga6
+ Revision: 1078107
- Do not use HOME as bash variable

* Mon Dec 26 2016 neoclust <neoclust> 6-26.mga6
+ Revision: 1078092
- Fix typo in plasma5-firstsetup.sh
- Fix use of kreadconfig5

* Mon Dec 26 2016 neoclust <neoclust> 6-24.mga6
+ Revision: 1078075
- Remove old desktop files ( mga#19153 )

* Wed Oct 12 2016 daviddavid <daviddavid> 6-23.mga6
+ Revision: 1060536
- Disable baloo by default

* Sat Oct 08 2016 daviddavid <daviddavid> 6-22.mga6
+ Revision: 1059660
- Add kcm-about-distrorc file

* Mon Sep 19 2016 ghibo <ghibo> 6-21.mga6
+ Revision: 1054509
- fix icon permissions

* Fri Sep 16 2016 barjac <barjac> 6-20.mga6
+ Revision: 1053461
- new git tarball

* Fri Sep 16 2016 barjac <barjac> 6-19.mga6
+ Revision: 1053432
- update tarball
- update tarball from git:
- Start to customize kdeglobals

* Thu Sep 15 2016 barjac <barjac> 6-18.mga6
+ Revision: 1053241
- replace ...org.mageia.breeze.desktop/contents/splash/images/background.png
  with symlink to default.png in spec
- change default.jpg to default.png in kscreenlockerrc

* Thu Aug 11 2016 schultz <schultz> 6-17.mga6
+ Revision: 1045717
- update ksplash
- add logo to and fix ksplash

* Sun Aug 07 2016 neoclust <neoclust> 6-16.mga6
+ Revision: 1044917
- Add conflict to ease update

* Sun Aug 07 2016 neoclust <neoclust> 6-15.mga6
+ Revision: 1044909
- Fix using org.mageia.breeze.desktop

* Fri Aug 05 2016 neoclust <neoclust> 6-14.mga6
+ Revision: 1044655
- Rebuild because of missing package

* Fri Aug 05 2016 neoclust <neoclust> 6-13.mga6
+ Revision: 1044647
- Do not install metadata file
- Help upgrade

* Fri Aug 05 2016 neoclust <neoclust> 6-11.mga6
+ Revision: 1044633
- Add mgabutton icon
  Do not use a new theme, use default org.kde.breeze.desktop one.

* Thu Aug 04 2016 neoclust <neoclust> 6-9.mga6
+ Revision: 1044472
- Fix XDG_MENU_PREFIX

* Fri Jul 29 2016 neoclust <neoclust> 6-8.mga6
+ Revision: 1043858
- Fix ksplashrc

* Thu Jul 28 2016 neoclust <neoclust> 6-7.mga6
+ Revision: 1043853
- Config fixes

* Thu Jul 28 2016 neoclust <neoclust> 6-6.mga6
+ Revision: 1043848
- Refactorize configuration files
- Rebuild against new Plasma

  + schultz <schultz>
    - Mga6 initial ksplash

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Nov 19 2015 neoclust <neoclust> 6-4.4.mga6
+ Revision: 904247
- Add Mageia KSplash
- Add mageia theme folder

* Thu Nov 12 2015 neoclust <neoclust> 6-4.mga6
+ Revision: 902748
- Add %%rename to fix build of desktop

* Wed Nov 11 2015 neoclust <neoclust> 6-3.mga6
+ Revision: 902655
- Fix first script

* Wed Nov 11 2015 neoclust <neoclust> 6-2.mga6
+ Revision: 902621
- Execute start scripts

* Tue Nov 10 2015 neoclust <neoclust> 6-1.mga6
+ Revision: 900985
- imported package mageia-plasma5-config

